Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.provider
Class RelatedActsItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.TransientGroupedItemProvider
                      org.metaabm.act.provider.RelatedActsItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class RelatedActsItemProvider

extends TransientGroupedItemProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.metaabm.provider.MetaABMItemProvider
`displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`RelatedActsItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.ecore.EObject parent, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.String title)`

Method Summary
`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>` | `getChildrenFeatures(java.lang.Object object)`
`org.eclipse.emf.ecore.EStructuralFeature` | `getFeature()`
`java.lang.Object` | `getImage(java.lang.Object object)`
`java.lang.String` | `getText(java.lang.Object object)`
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.metaabm.provider.TransientGroupedItemProvider
`createAddCommand, createCommand, createRemoveCommand, createWrappedCommand, getChildren, getCreateChildDescription, getNewChildDescriptors, getParent, getResourceLocator`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestID, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createChildParameter, createChildrenStore, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildrenReferences, getChildrenStore, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Constructor Detail

### RelatedActsItemProvider

    public RelatedActsItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                   org.eclipse.emf.ecore.EObject parent,
                                   org.eclipse.emf.ecore.EStructuralFeature feature,
                                   java.lang.String title)

Method Detail

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  Overrides:
    `getChildrenFeatures` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getFeature

    public org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Returns:
    the feature

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD